Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1814821 - community operator catalog image crashloop when applying CatalogSource
Summary: community operator catalog image crashloop when applying CatalogSource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: ---
: 4.4.0
Assignee: Evan Cordell
QA Contact: yhui
URL:
Whiteboard:
Depends On: 1814457
Blocks: 1814777
TreeView+ depends on / blocked
 
Reported: 2020-03-18 17:47 UTC by Evan Cordell
Modified: 2020-05-04 11:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1814457
Environment:
Last Closed: 2020-05-04 11:46:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1397 0 None closed [release-4.4] Bug 1814821: fix(catsrc): remove limits on catalogsource pods 2020-06-30 12:18:18 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:47:00 UTC

Comment 4 yhui 2020-03-24 05:57:26 UTC
1, Create a 4.4 cluster that the fixed PR merged in.

[hui@localhost 1814821]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-03-23-115620   True        False         78m     Cluster version is 4.4.0-0.nightly-2020-03-23-115620

[hui@localhost 1814821]$ oc exec catalog-operator-64cfdb5b6f-v7nrk -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.14.2
git commit: 6a7973251408b9d4d0ee42e12e98af527d6b56a0

2, Create a CatalogSource object with this "dhubchris/community-operators:v1" image. Its pod works well.

[hui@localhost 1814821]$ cat cs-1805410.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: bug-operator
  namespace: openshift-marketplace
spec:
  sourceType: grpc
  image: dhubchris/community-operators:v1
  displayName: Bug Operators
  publisher: Red Hat

[hui@localhost 1814821]$ oc get pods -n openshift-marketplace
NAME                                    READY   STATUS    RESTARTS   AGE
bug-operator-74cxh                      1/1     Running   0          48s
certified-operators-bdbb7dd8b-5m8kl     1/1     Running   0          77m
community-operators-6649d867c7-8lg65    1/1     Running   0          77m
marketplace-operator-7875c55475-x4gld   1/1     Running   0          78m
redhat-marketplace-7bdd5b4d48-k255l     1/1     Running   0          77m
redhat-operators-5bd7f86b9f-tt757       1/1     Running   0          77m

[hui@localhost 1814821]$ oc get packagemanifest |grep -i bug
hyperfoil-bundle                             Bug Operators         79s
enmasse                                      Bug Operators         79s
must-gather-operator                         Bug Operators         79s
...

3, Check the Request CPU/Memory of this pod, no Limits. LGTM, verify it.
[hui@localhost 1814821]$ oc get pods -n openshift-marketplace bug-operator-74cxh -o yaml
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.130.0.38"
          ],
          "dns": {},
          "default-route": [
              "10.130.0.1"
          ]
      }]
    openshift.io/scc: anyuid
  creationTimestamp: "2020-03-24T05:25:18Z"
  generateName: bug-operator-
  labels:
    olm.catalogSource: bug-operator
  name: bug-operator-74cxh
  namespace: openshift-marketplace
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: CatalogSource
    name: bug-operator
    uid: 749f0fa2-adb5-4481-90ca-8f46937a42a0
  resourceVersion: "40020"
  selfLink: /api/v1/namespaces/openshift-marketplace/pods/bug-operator-74cxh
  uid: 9d2fa453-ef22-458e-8c3a-c3e880728380
spec:
  containers:
  - image: dhubchris/community-operators:v1
    imagePullPolicy: IfNotPresent
    livenessProbe:
      exec:
        command:
        - grpc_health_probe
        - -addr=localhost:50051
      failureThreshold: 3
      initialDelaySeconds: 10
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 1
    name: registry-server
    ports:
    - containerPort: 50051
      name: grpc
      protocol: TCP
    readinessProbe:
      exec:
        command:
        - grpc_health_probe
        - -addr=localhost:50051
      failureThreshold: 3
      initialDelaySeconds: 5
      periodSeconds: 10
      successThreshold: 1
      timeoutSeconds: 5
    resources:
      requests:
        cpu: 10m
        memory: 50Mi
    securityContext:
      capabilities:
        drop:
        - MKNOD
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: default-token-txnph
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: default-dockercfg-gmt5c
  nodeName: ip-10-0-133-15.us-east-2.compute.internal
  nodeSelector:
    beta.kubernetes.io/os: linux
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    seLinuxOptions:
      level: s0:c8,c2
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - name: default-token-txnph
    secret:
      defaultMode: 420
      secretName: default-token-txnph
...

Comment 6 errata-xmlrpc 2020-05-04 11:46:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.